Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Macros | Functions | Variables
handle.c File Reference
`#include <ruby.h>`
`#include <fiddle.h>`

Go to the source code of this file.

## Data Structures
struct | dl_handle

## Macros
#define | RTLD_NEXT NULL
#define | RTLD_DEFAULT NULL
#define | CHECK_DLERROR

## Functions
void | Init_fiddle_handle (void)

## Variables
VALUE | rb_cHandle

## Macro Definition Documentation

## ◆ CHECK_DLERROR

#define CHECK_DLERROR

## ◆ RTLD_DEFAULT

#define RTLD_DEFAULT NULL

Definition at line 291 of file handle.c.

## ◆ RTLD_NEXT

#define RTLD_NEXT NULL

Definition at line 288 of file handle.c.

## Function Documentation

## ◆ Init_fiddle_handle()

void Init_fiddle_handle | ( | void |  | ) |

Definition at line 376 of file handle.c.

References mFiddle, rb_cHandle, rb_cObject, rb_define_alloc_func(), and rb_define_class_under().

## Variable Documentation

## ◆ rb_cHandle

VALUE rb_cHandle

Definition at line 4 of file handle.c.

Referenced by Init_fiddle_handle().